unit frmLogin;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.Controls.Presentation, FMX.StdCtrls, FMX.Layouts, FMX.Edit;

type
  TFormLogin = class(TForm)
    btnOK: TCornerButton;
    btnCancel: TCornerButton;
    edtAccount: TEdit;
    edtPassword: TEdit;
    ClearEditButton1: TClearEditButton;
    PasswordEditButton1: TPasswordEditButton;
    ClearEditButton2: TClearEditButton;
    procedure btnOKClick(Sender: TObject);
  private
    FUserAccount: string;
    FUserPassword: string;
  public

  published
    property UserAccount: string read FUserAccount write FUserAccount;
    property UserPassword: string read FUserPassword write FUserPassword;
  end;

var
  FormLogin: TFormLogin;

implementation

uses
  frmStyleModule;

{$R *.fmx}

procedure TFormLogin.btnOKClick(Sender: TObject);
var
  acc: string;
  pwd: string;
begin
  acc := edtAccount.Text;
  pwd := edtPassword.Text;
  if (acc = '') or (pwd = '') then Exit;

  FUserAccount:= acc;
  FUserPassword:= pwd;
  self.ModalResult := mrOk;
end;

end.
